> ## Documentation Index
> Fetch the complete documentation index at: https://docs.henrikdev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get stored matches by name (v1)



## OpenAPI

````yaml https://api.henrikdev.xyz/openapi.json get /valorant/v1/stored-matches/{affinity}/{name}/{tag}
openapi: 3.1.0
info:
  title: HenrikDev API
  description: ''
  license:
    name: ''
  version: 4.6.0
servers:
  - url: https://api.henrikdev.xyz
security: []
tags:
  - name: valorant
    description: Valorant public API endpoints
  - name: premium
    description: Premium account and webhook endpoints
paths:
  /valorant/v1/stored-matches/{affinity}/{name}/{tag}:
    get:
      tags:
        - valorant
      summary: Get stored matches by name (v1)
      operationId: stored_matches
      parameters:
        - name: affinity
          in: path
          description: Region/affinity (e.g., na, eu, ap, kr)
          required: true
          schema:
            type: string
        - name: name
          in: path
          description: Riot ID name
          required: true
          schema:
            type: string
        - name: tag
          in: path
          description: Riot ID tag
          required: true
          schema:
            type: string
        - name: mode
          in: query
          description: Game mode filter (optional)
          required: false
          schema:
            type: string
        - name: map
          in: query
          description: Map filter (optional)
          required: false
          schema:
            type: string
        - name: size
          in: query
          description: Number of results (optional)
          required: false
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: Stored match history retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StoredMatchesResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '404':
          description: Account not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
components:
  schemas:
    StoredMatchesResponse:
      type: object
      required:
        - status
        - results
        - data
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/StoredMatch'
        results:
          $ref: '#/components/schemas/Pagination'
        status:
          type: integer
          format: int32
          minimum: 0
    SendError:
      type: object
      required:
        - errors
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/APIError'
    StoredMatch:
      type: object
      required:
        - meta
        - stats
        - teams
      properties:
        meta:
          $ref: '#/components/schemas/StoredMatchMeta'
        stats:
          $ref: '#/components/schemas/StoredMatchStats'
        teams:
          $ref: '#/components/schemas/StoredMatchTeam'
    Pagination:
      type: object
      required:
        - total
        - returned
        - before
        - after
      properties:
        after:
          type: integer
          format: int32
        before:
          type: integer
          format: int32
        returned:
          type: integer
          format: int32
        total:
          type: integer
          format: int32
    APIError:
      type: object
      required:
        - code
        - message
        - status
      properties:
        code:
          type: integer
          format: int32
          minimum: 0
        details: {}
        message:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0
    StoredMatchMeta:
      type: object
      required:
        - id
        - map
        - version
        - mode
        - started_at
        - season
        - region
      properties:
        cluster:
          type:
            - string
            - 'null'
        id:
          type: string
        map:
          $ref: '#/components/schemas/StoredMatchMetaMap'
        mode:
          type: string
        region:
          type: string
        season:
          $ref: '#/components/schemas/StoredMatchMetaSeason'
        started_at:
          type: string
        version:
          type: string
    StoredMatchStats:
      type: object
      required:
        - puuid
        - team
        - level
        - character
        - tier
        - score
        - kills
        - deaths
        - assists
        - shots
        - damage
      properties:
        assists:
          type: integer
          format: int32
          minimum: 0
        character:
          $ref: '#/components/schemas/StoredMatchStatsCharacter'
        damage:
          $ref: '#/components/schemas/StoredMatchStatsDamage'
        deaths:
          type: integer
          format: int32
          minimum: 0
        kills:
          type: integer
          format: int32
          minimum: 0
        level:
          type: integer
          format: int32
          minimum: 0
        name:
          type:
            - string
            - 'null'
        puuid:
          type: string
        score:
          type: integer
          format: int32
        shots:
          $ref: '#/components/schemas/StoredMatchStatsShots'
        tag:
          type:
            - string
            - 'null'
        team:
          type: string
        tier:
          type: integer
          format: int32
          minimum: 0
    StoredMatchTeam:
      type: object
      required:
        - red
        - blue
      properties:
        blue:
          type: integer
          format: int32
          minimum: 0
        red:
          type: integer
          format: int32
          minimum: 0
    StoredMatchMetaMap:
      type: object
      required:
        - id
        - name
      properties:
        id:
          type: string
        name:
          type: string
    StoredMatchMetaSeason:
      type: object
      required:
        - id
        - short
      properties:
        id:
          type: string
        short:
          type: string
    StoredMatchStatsCharacter:
      type: object
      required:
        - id
        - name
      properties:
        id:
          type: string
        name:
          type: string
    StoredMatchStatsDamage:
      type: object
      required:
        - made
        - received
      properties:
        made:
          type: integer
          format: int32
        received:
          type: integer
          format: int32
    StoredMatchStatsShots:
      type: object
      required:
        - head
        - body
        - leg
      properties:
        body:
          type: integer
          format: int32
          minimum: 0
        head:
          type: integer
          format: int32
          minimum: 0
        leg:
          type: integer
          format: int32
          minimum: 0

````